Last Comment Bug 1203539 - make[1]: *** [upload-en-US] Error 1 | make: *** [upload] Error 2
: make[1]: *** [upload-en-US] Error 1 | make: *** [upload] Error 2
Status: RESOLVED FIXED
: intermittent-failure
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.5
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 06:40 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-12-21 02:13 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.23 KB, patch)
2015-09-10 06:41 PDT, Philipp Kewisch [:Fallen]
mkmelin+mozilla: review+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-09-10 06:40:04 PDT
Bug 1198179 made the --properties-file mandatory, Lightning uses upload.py directly to upload the xpis. We'll just add the argument with a dummy file.
Comment 1 User image Philipp Kewisch [:Fallen] 2015-09-10 06:41:46 PDT
Created attachment 8659258 [details] [diff] [review]
Fix - v1
Comment 2 User image Treeherder Robot 2015-09-10 06:43:42 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23498
repository: comm-central
start_time: 2015-09-09T15:31:23
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-422
buildname: TB Linux comm-central leak test build
revision: d883ab3d5cee

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 3 User image Treeherder Robot 2015-09-10 06:43:47 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23497
repository: comm-central
start_time: 2015-09-09T15:31:35
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-530
buildname: TB Linux comm-central build
revision: d883ab3d5cee

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 4 User image Treeherder Robot 2015-09-10 06:43:53 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23510
repository: comm-central
start_time: 2015-09-10T03:02:20
who: mozilla[at]kewis[dot]ch
machine: bld-lion-r5-065
buildname: TB OS X 10.7 comm-central nightly
revision: b244013684e0

make[2]: *** [postflight_all] Error 1
make[1]: *** [build] Error 2
make: *** [build] Error 2
Comment 5 User image Treeherder Robot 2015-09-10 06:43:56 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23509
repository: comm-central
start_time: 2015-09-10T03:02:20
who: mozilla[at]kewis[dot]ch
machine: b-2008-ix-0009
buildname: TB WINNT 5.2 comm-central nightly
revision: b244013684e0

CalledProcessError: Command '['hg', 'log', '-r', u'b244013684e0cc2829b398cfc3a6a94af78c1dbb', '--template', '{node}']' returned non-zero exit status 255
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
Comment 6 User image Treeherder Robot 2015-09-10 06:43:57 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23499
repository: comm-central
start_time: 2015-09-09T15:30:45
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-506
buildname: TB Linux x86-64 comm-central build
revision: d883ab3d5cee

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 7 User image Treeherder Robot 2015-09-10 06:43:58 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23508
repository: comm-central
start_time: 2015-09-10T03:02:23
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-428
buildname: TB Linux comm-central nightly
revision: b244013684e0

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 8 User image Treeherder Robot 2015-09-10 06:43:59 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23506
repository: comm-central
start_time: 2015-09-09T15:51:59
who: mozilla[at]kewis[dot]ch
machine: b-2008-ix-0074
buildname: TB WINNT 5.2 comm-central leak test build
revision: d883ab3d5cee

CalledProcessError: Command '['hg', 'log', '-r', u'd883ab3d5cee57c89e16e49aa1c975f7188bb159', '--template', '{node}']' returned non-zero exit status 255
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
Comment 9 User image Treeherder Robot 2015-09-10 06:44:00 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23511
repository: comm-central
start_time: 2015-09-10T03:02:24
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-532
buildname: TB Linux x86-64 comm-central nightly
revision: b244013684e0

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 10 User image Treeherder Robot 2015-09-10 06:44:01 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23505
repository: comm-central
start_time: 2015-09-09T15:52:07
who: mozilla[at]kewis[dot]ch
machine: b-2008-ix-0155
buildname: TB WINNT 5.2 comm-central build
revision: d883ab3d5cee

CalledProcessError: Command '['hg', 'log', '-r', u'd883ab3d5cee57c89e16e49aa1c975f7188bb159', '--template', '{node}']' returned non-zero exit status 255
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
mozmake.exe[1]: *** [upload-en-US] Error 1
pymake\..\..\mozmake.exe: *** [upload] Error 2
Comment 11 User image Treeherder Robot 2015-09-10 06:44:03 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23504
repository: comm-central
start_time: 2015-09-09T15:54:01
who: mozilla[at]kewis[dot]ch
machine: bld-lion-r5-094
buildname: TB OS X 10.7 comm-central build
revision: d883ab3d5cee

make[2]: *** [postflight_all] Error 1
make[1]: *** [build] Error 2
make: *** [build] Error 2
Comment 12 User image Treeherder Robot 2015-09-10 06:44:09 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23502
repository: comm-central
start_time: 2015-09-09T15:53:55
who: mozilla[at]kewis[dot]ch
machine: bld-lion-r5-060
buildname: TB OS X 10.7 64-bit comm-central leak test build
revision: d883ab3d5cee

"%s: 0x%p FATAL ERROR\n", logname, lr, 0 );
Assertion failure: IsOnBackgroundThread(), at /builds/slave/tb-c-cen-m64-d-000000000000000/build/mozilla/ipc/glue/BackgroundImpl.cpp:199
make[3]: *** [stage-package] Error 1
make[2]: *** [make-package] Error 2
make[1]: *** [default] Error 2
make: *** [package] Error 2
Comment 13 User image Treeherder Robot 2015-09-10 06:44:10 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23500
repository: comm-central
start_time: 2015-09-09T15:31:04
who: mozilla[at]kewis[dot]ch
machine: bld-linux64-spot-490
buildname: TB Linux x86-64 comm-central leak test build
revision: d883ab3d5cee

IOError: [Errno 2] No such file or directory: '/usr/local/lib/hgext/bundleclone.py'
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
make[1]: *** [upload-en-US] Error 1
make: *** [upload] Error 2
Comment 14 User image Treeherder Robot 2015-09-10 06:44:18 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=23501
repository: comm-central
start_time: 2015-09-09T15:48:23
who: mozilla[at]kewis[dot]ch
machine: bld-lion-r5-066
buildname: TB OS X 10.7 64-bit comm-central leak test build
revision: d883ab3d5cee

"%s: 0x%p FATAL ERROR\n", logname, lr, 0 );
Assertion failure: IsOnBackgroundThread(), at /builds/slave/tb-c-cen-m64-d-000000000000000/build/mozilla/ipc/glue/BackgroundImpl.cpp:199
make[3]: *** [stage-package] Error 1
make[2]: *** [make-package] Error 2
make[1]: *** [default] Error 2
make: *** [package] Error 2
Comment 15 User image Philipp Kewisch [:Fallen] 2015-09-10 11:24:40 PDT
Pushed to comm-central changeset e5603a0e2e3c
Comment 16 User image ISHIKAWA, Chiaki 2015-12-16 22:52:15 PST
I wonder if this bug recurred or something else is breaking but
in my C-C TB tryserver build request
https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&selectedJob=13793
OS X 10.7 build failed with the log which seems to match the signature of this bug
while linux opt failed in a strange manner and win xp build failed in a similar manner(?) to OS x build.

Since an earlier build request also failed
https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&revision=63658bb27324
maybe there are other infrastructure issue, but I am not sure.

TIA
Comment 17 User image ISHIKAWA, Chiaki 2015-12-16 23:12:30 PST
(In reply to ISHIKAWA, Chiaki from comment #16)
> I wonder if this bug recurred or something else is breaking but
> in my C-C TB tryserver build request
> https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&selectedJob=13793
> OS X 10.7 build failed with the log which seems to match the signature of
> this bug
> while linux opt failed in a strange manner and win xp build failed in a
> similar manner(?) to OS x build.
> 
> Since an earlier build request also failed
> https://treeherder.mozilla.org/#/jobs?repo=try-comm-
> central&revision=63658bb27324
> maybe there are other infrastructure issue, but I am not sure.
> 
> TIA

It's possible that one of PCs where the submission was done may not have the correct ssh key, etc. but
the earlier one, I think, was from the PC with the correct ssh key. I will investigate a little more.

TIA
Comment 18 User image ISHIKAWA, Chiaki 2015-12-20 22:37:43 PST
(In reply to ISHIKAWA, Chiaki from comment #17)

> It's possible that one of PCs where the submission was done may not have the
> correct ssh key, etc. but
> the earlier one, I think, was from the PC with the correct ssh key. I will
> investigate a little more.
> 
> TIA

No, it is not my own problem. Others have suffered from the issues.
See, e.g.: https://treeherder.mozilla.org/#/jobs?repo=try-comm-central&revision=e3fc77a206a2
Comment 19 User image Wayne Mery (:wsmwk, NI for questions) 2015-12-20 23:16:09 PST
the current instance of this problem is Bug 1233577
Comment 20 User image ISHIKAWA, Chiaki 2015-12-21 02:13:11 PST
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #19)
> the current instance of this problem is Bug 1233577

Thank you for the info. 
I can't do a thing to figure out strange test errors under windows, which I observed during verifying my I/O patches behave sanely on non-linux platform (my main development environment), 
until tryserver build of windows debug version succeeds.

Fingers crossed.

Note You need to log in before you can comment on or make changes to this bug.